Package org.apache.sling.graphql.api

# Class ScalarConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.script.ScriptException
org.apache.sling.graphql.api.ScalarConversionException

All Implemented Interfaces:
  `Serializable`

public class ScalarConversionException extends ScriptException
Exception thrown by Scalar converters

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScalarConversionException(@NotNull String reason)`
`ScalarConversionException(@NotNull String reason, @Nullable Throwable cause)`

## Method Summary

### Methods inherited from class javax.script.ScriptException

`getColumnNumber, getFileName, getLineNumber, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScalarConversionException

public ScalarConversionException(@NotNull @NotNull String reason, @Nullable @Nullable Throwable cause)

### ScalarConversionException

public ScalarConversionException(@NotNull @NotNull String reason)